AMULECMD(1)

NOMBRE
amulecmd - Control de aMule en modo consola basado en texto.

SINOPSIS
amulecmd [-h <host>] [-p <puerto>] [-P <contraseña>] [-f <localización>] [-l <lenguaje>] [-q] [-v] [-w] [-c <comando>]

amulecmd [-f <localización>] --create-config-from=<localización>

amulecmd [--help] [--version]

DESCRIPCIÓN
amulecmd es un programa basado en texto para controlar aMule. Puede obtener información útil al ejecutar el programa.

-h, --host=<host>
    Host donde aMule está siendo ejecutado (por defecto: localhost). <host> puede ser una IP o una dirección DNS.

-p, --port=<puerto>
    El puerto donde aMule acepta conexiones de External Connections. Puede consultarlo en Preferenciass->Controles Remotos (por defecto: 4712)

-P, --password=<contraseña>
    Contraseña para External Connections.

-f, --config-file=<localización>
    Usar el archivo de configuracion indicado. Por defecto, ~/.aMule/remote.conf

-l, --locale=<lang>
    Establece el lenguaje del programa. Ver la sección NOTAS para la descripción del parámetro <lenguaje>.

-q, --quiet
    No mostrar nada por consola. Carece de utilidad cuando se emplea amulecmd.

-v, --verbose
    Mostrar información adicional - mostrar información de depuración.

-w, --write-config
    Crear el archivo de configuración y salir.

-c, --command=<comando>
    Ejecutar el comando <comando> y salir.

--create-config-from=<localización>
    Crear el archivo de configuraciñon basándose en <localización> y salir. <localización> debe ser un archivo de configuración de aMule válido.

--help
    Mostrar la ayuda y salir.

--version
    Mostrar la versión del programa y salir.

NOTAS

  Localizadores
Para todas las opciones que reuieran un parámetro <localización>, si la localización no contiene el nombre de ningun directorio (por ejemplo, si es simplemente el nombre de un archivo), entonces se tomará como directorio contenedor de ese archivo el directorio de configuración de aMule, ~/.aMule.

  Lenguajes

ARCHIVOS
~/.aMule/remote.conf

EJEMPLO
Normalmente, amulecmd se ejecutará por primera vez de la siguiente manera:

amulecmd -h hostname -p ECport -P ECpassword -w

o

amulecmd --create-config-from=/home/username/.aMule/amule.conf

Esto guardará la configuración en $HOME/.aMule/remote.conf, de manera que en las sucesivas ejecuciones bastará con hacer:

amulecmd

Por supuesto, no es necesario seguir este ejemplo.

BUGS
Si descubre bugs, por favor comuníquelos en (http://forum.amule.org/), o en nuestro bugtracker (http://bugs.amule.org/). Por favor, no comunique bugs por e-mail, ni a nuestro maillist ni directamente a ningún miembro del equipo de aMule.

COPYRIGHT
aMule, y todas las utilidades que con el vienen, se distribuyen bajo la licencia GPL.

VER
amule(1), amuleweb(1)